Subject: [MIPSHOP-MIH-DT] [Fwd: secdir review of draft-ietf-mipshop-mis-ps-05]

From: Vijay Devarapalli <[email-masked]>
Date: Wed, 19 Dec 2007 11:05:17 -0800

FYI.

There are a few text changes required.

Vijay

Subject: secdir review of draft-ietf-mipshop-mis-ps-05
From: Tom Yu <[email-masked]>
To: [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked]
Date: Mon, 17 Dec 2007 21:08:21 -0500

I have reviewed this document as part of the security directorate's
ongoing effort to review all IETF documents being processed by the
IESG.  These comments were written primarily for the benefit of the
security area directors.  Document editors and WG chairs should treat
these comments just like any other last call comments.

Security:

In Section 5.2, there is an item titled "Security association
management" which does not specify which parties the security
associations are to be between.  I assume they are to be between
endpoints exchanging Mobility Services information.

Section 5.2, under "Secure delivery", mentions guarding against replay
attacks.  This can be challenging in a connectionless protocol.

Section 7, "Security Considerations", mentions the importance of
protecting or concealing information identifying a mobile node because
a mobile device is frequently associated exclusively with one user.
How well must this identify information be protected from nodes on the
same link which can examine traffic on that link?  Does this protected
identify information include link layer addresses?  My understanding
is that many link layer addresses are fixed in hardware and exposed in
the link layer protocol.  It may be that link layer addresses need not
be protected on the link layer beyond whatever (lack of?) protection
already in place at the link layer, but need only be protected at
higher layers.

References:

I found that my institutional IEEE subscription did not give me access
to IEEE draft standards.  Also, IEEE Xplore only lists a citation for
P802.21/D7.1 (August 2007), rather than P802.21/D7.0 (July 2007) as
cited in the References section.  It may be that D7.0 was obsoleted by
the August document.

Terminology:

Is a Mobile Node a distinct concept from a Network Node?  Some of the
usage in Section 4 implies that a Network Node is a fixed-position
element of a network and is not mobile.

Other:

In Section 5, mention is made of a "Mobility Services Transport Layer"
without specifying whether the transport is connection-oriented,
connectionless, or potentially both; however, the mention in Section
5.1 of fragmentation and reassembly might imply a connectionless
transport.

Section 5.1 is titled "Payload Formats and Extensibility
Considerations" but contains no direct mention of extensibility.

The Appendix reproduces an informative section of the IEEE 802.21
draft standard listing requirements placed on L3 transport by IEEE
802.21, but I do not see any text elsewhere in this I-D setting forth
the correspondences between the 802.21 requirements and the proposals
or requirements of this I-D.  It may be useful to indicate those
correspondences, but I can also see arguments for why it is not
necessary to do so.

Subject: Re: secdir review of draft-ietf-mipshop-mis-ps-05
From: Jari Arkko <[email-masked]>
To: Tom Yu <[email-masked]>
Cc: [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked]
Date: Tue, 18 Dec 2007 12:17:05 +0200

Tom,

Thanks for your review! A few observations inline:

> In Section 5.2, there is an item titled "Security association
> management" which does not specify which parties the security
> associations are to be between.  I assume they are to be between
> endpoints exchanging Mobility Services information.
>   

Yes. It would be useful add clarifying text. I have added the following
RFC Editor note:

OLD:
 A common security association negotiation method, independent
 of any specific MSTP user, should be implemented.
NEW:
 A common security association negotiation method, independent
 of any specific MSTP user, should be implemented between the endpoints
 of the MSTP.

> Section 5.2, under "Secure delivery", mentions guarding against replay
> attacks.  This can be challenging in a connectionless protocol.
>   

Yes. Elsewhere in Section 5.2 it is already mentioned that the low
latency, connectionless delivery requirements may interact with other
requirements.

> Section 7, "Security Considerations", mentions the importance of
> protecting or concealing information identifying a mobile node because
> a mobile device is frequently associated exclusively with one user.
> How well must this identify information be protected from nodes on the
> same link which can examine traffic on that link?  Does this protected
> identify information include link layer addresses?  My understanding
> is that many link layer addresses are fixed in hardware and exposed in
> the link layer protocol.  It may be that link layer addresses need not
> be protected on the link layer beyond whatever (lack of?) protection
> already in place at the link layer, but need only be protected at
> higher layers.
>   

This document is only about the implications of the MSTP; we do know
that there are other issues, but they should be topic of other
documents. Link layer addresses and privacy is one such issue.

> References:
>
> I found that my institutional IEEE subscription did not give me access
> to IEEE draft standards.  Also, IEEE Xplore only lists a citation for
> P802.21/D7.1 (August 2007), rather than P802.21/D7.0 (July 2007) as
> cited in the References section.  It may be that D7.0 was obsoleted by
> the August document.
>   

I believe we have IETF access to the documents in question, just ask the
WG chairs.

> Terminology:
>
> Is a Mobile Node a distinct concept from a Network Node?  Some of the
> usage in Section 4 implies that a Network Node is a fixed-position
> element of a network and is not mobile.
>   

Yes. Mobile node is the one moving around, and talking to the network
nodes to get MIS information.

> Other:
>
> In Section 5, mention is made of a "Mobility Services Transport Layer"
> without specifying whether the transport is connection-oriented,
> connectionless, or potentially both; however, the mention in Section
> 5.1 of fragmentation and reassembly might imply a connectionless
> transport.
>   

My understanding is that this is left intentionally vague; just the
requirements on what the transport layer needs to achieve are listed.

> Section 5.1 is titled "Payload Formats and Extensibility
> Considerations" but contains no direct mention of extensibility.
>   

I think the idea is that the opaque payload allows various types of
information to be passed, without changing the transport protocol.

> The Appendix reproduces an informative section of the IEEE 802.21
> draft standard listing requirements placed on L3 transport by IEEE
> 802.21, but I do not see any text elsewhere in this I-D setting forth
> the correspondences between the 802.21 requirements and the proposals
> or requirements of this I-D.  It may be useful to indicate those
> correspondences, but I can also see arguments for why it is not
> necessary to do so.
>   
Yes, this would be useful. Authors, chairs? If you have text, I could
place it to the tracker.

Jari

Subject: Re: secdir review of draft-ietf-mipshop-mis-ps-05
From: Sam Hartman <[email-masked]>
To: Jari Arkko <[email-masked]>
Cc: Tom Yu <[email-masked]>, [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked]
Date: Tue, 18 Dec 2007 08:33:25 -0500

I think it would be good for the authors of this document to review
the exchange surrounding the location privacy statement in mip6 and to
make sure that their scope survives the same examination.

Subject: DISCUSS and COMMENT: draft-ietf-mipshop-mis-ps
From: Dan Romascanu <[email-masked]>
To: [email-masked]
Cc: [email-masked], [email-masked]
Date: Wed, 19 Dec 2007 10:10:17 -0500

Discuss:
The comments below are based partially on OPS-DIR review by Scott Bradner. 

The inclusion in Appendix of requirements from a work-in-progress document of another SDO seems a bad idea. In IEEE a Draft is the equivalent of an IETF Internet-Draft, and the usage of the term Draft Standard in this document may be mis-leading. I suggest that either the approval of this document is delayed until the IEEE 802.21 specification is approved in the IEEE, or that the appendix makes clear what is the status of the document in the IEEE.

Comment:
1. The document does not offer any discussion or guidance of the operational aspects of implementing a mobility services transport. For example many subsections of section 5.2 could raise significant operational concerns but such concerns are not addressed in the draft.

2. The document has too many authors (more than the rules permit)

3. sec 4.2 - the draft  suggests that a layer 2 protocol could be used as mobility transport for part or all of a path - it seems that adding another L2 protocol to a network could raise a number of serious operational issues - e.g, how to ensure that it is properly filtered to limit the impact of a rogue device

4. sec 5.2 - low latency - the draft says: "It is expected that Events and Commands messages arrive at a rate of hundreds of milliseconds in order to capture quick changes in the environment and/ or process handover commands."

"a rate of hundreds of milliseconds" does not make sense

5. both the "Congestion Control" and "Fragmentation and reassembly"
sections do not strongly say that use of an IETF-approved congestion control protocol is required and that fragmentation should not happen - violation of these requirements could cause congestion

6. sec 7 - security considerations this section says that the device should not have to identify itself in order to get some types of information - I expect that most network operators would want to insist on knowing what mobile devices are on their network

7. section 11.1 - rfc 2119 should not be used in a document of this type and, even if it were, the reference to rfc 2119 is informative not normative

Subject: Re: DISCUSS and COMMENT: draft-ietf-mipshop-mis-ps
From: Jari Arkko <[email-masked]>
To: Dan Romascanu <[email-masked]>
Cc: [email-masked], [email-masked], [email-masked]
Date: Wed, 19 Dec 2007 17:34:56 +0200

I'm certainly willing to consider changing the wording to make the
status of the other requirements clearer, or even axing the entire
appendix. Authors?

Jari

Dan Romascanu kirjoitti:
> Discuss:
> The comments below are based partially on OPS-DIR review by Scott Bradner. 
>
> The inclusion in Appendix of requirements from a work-in-progress document of another SDO seems a bad idea. In IEEE a Draft is the equivalent of an IETF Internet-Draft, and the usage of the term Draft Standard in this document may be mis-leading. I suggest that either the approval of this document is delayed until the IEEE 802.21 specification is approved in the IEEE, or that the appendix makes clear what is the status of the document in the IEEE.
>
> Comment:
> 1. The document does not offer any discussion or guidance of the operational aspects of implementing a mobility services transport. For example many subsections of section 5.2 could raise significant operational concerns but such concerns are not addressed in the draft.
>
> 2. The document has too many authors (more than the rules permit)
>
> 3. sec 4.2 - the draft  suggests that a layer 2 protocol could be used as mobility transport for part or all of a path - it seems that adding another L2 protocol to a network could raise a number of serious operational issues - e.g, how to ensure that it is properly filtered to limit the impact of a rogue device
>
> 4. sec 5.2 - low latency - the draft says: "It is expected that Events and Commands messages arrive at a rate of hundreds of milliseconds in order to capture quick changes in the environment and/ or process handover commands."
>
> "a rate of hundreds of milliseconds" does not make sense
>
> 5. both the "Congestion Control" and "Fragmentation and reassembly"
> sections do not strongly say that use of an IETF-approved congestion control protocol is required and that fragmentation should not happen - violation of these requirements could cause congestion
>
> 6. sec 7 - security considerations this section says that the device should not have to identify itself in order to get some types of information - I expect that most network operators would want to insist on knowing what mobile devices are on their network
>
> 7. section 11.1 - rfc 2119 should not be used in a document of this type and, even if it were, the reference to rfc 2119 is informative not normative
>
>
>
>
>
>   

Subject: Re: DISCUSS and COMMENT: draft-ietf-mipshop-mis-ps
From: Yoshihiro Ohba <[email-masked]>
To: Jari Arkko <[email-masked]>
Cc: Dan Romascanu <[email-masked]>, [email-masked], [email-masked], [email-masked]
Date: Wed, 19 Dec 2007 11:13:23 -0500

I suggest removing the annex and adding the following sentence in
Section 1:

"
Requirements to support 802.21 by L3 and above transport are described
in [1].
"

Yoshihiro Ohba

On Wed, Dec 19, 2007 at 05:34:56PM +0200, Jari Arkko wrote:
> I'm certainly willing to consider changing the wording to make the
> status of the other requirements clearer, or even axing the entire
> appendix. Authors?
> 
> Jari
> 
> Dan Romascanu kirjoitti:
> > Discuss:
> > The comments below are based partially on OPS-DIR review by Scott Bradner. 
> >
> > The inclusion in Appendix of requirements from a work-in-progress document of another SDO seems a bad idea. In IEEE a Draft is the equivalent of an IETF Internet-Draft, and the usage of the term Draft Standard in this document may be mis-leading. I suggest that either the approval of this document is delayed until the IEEE 802.21 specification is approved in the IEEE, or that the appendix makes clear what is the status of the document in the IEEE.
> >
> > Comment:
> > 1. The document does not offer any discussion or guidance of the operational aspects of implementing a mobility services transport. For example many subsections of section 5.2 could raise significant operational concerns but such concerns are not addressed in the draft.
> >
> > 2. The document has too many authors (more than the rules permit)
> >
> > 3. sec 4.2 - the draft  suggests that a layer 2 protocol could be used as mobility transport for part or all of a path - it seems that adding another L2 protocol to a network could raise a number of serious operational issues - e.g, how to ensure that it is properly filtered to limit the impact of a rogue device
> >
> > 4. sec 5.2 - low latency - the draft says: "It is expected that Events and Commands messages arrive at a rate of hundreds of milliseconds in order to capture quick changes in the environment and/ or process handover commands."
> >
> > "a rate of hundreds of milliseconds" does not make sense
> >
> > 5. both the "Congestion Control" and "Fragmentation and reassembly"
> > sections do not strongly say that use of an IETF-approved congestion control protocol is required and that fragmentation should not happen - violation of these requirements could cause congestion
> >
> > 6. sec 7 - security considerations this section says that the device should not have to identify itself in order to get some types of information - I expect that most network operators would want to insist on knowing what mobile devices are on their network
> >
> > 7. section 11.1 - rfc 2119 should not be used in a document of this type and, even if it were, the reference to rfc 2119 is informative not normative
> >
> >
> >
> >
> >
> >   
> 
> 
> 

Subject: Re: DISCUSS and COMMENT: draft-ietf-mipshop-mis-ps
From: Vijay Devarapalli <[email-masked]>
To: Yoshihiro Ohba <[email-masked]>
Cc: Jari Arkko <[email-masked]>, Dan Romascanu <[email-masked]>, [email-masked], [email-masked], [email-masked]
Date: Wed, 19 Dec 2007 09:25:31 -0800

Yoshihiro Ohba wrote:
> I suggest removing the annex and adding the following sentence in
> Section 1:
> 
> "
> Requirements to support 802.21 by L3 and above transport are described
> in [1].
> "

Agree.

Vijay

> 
> Yoshihiro Ohba
> 
> 
> On Wed, Dec 19, 2007 at 05:34:56PM +0200, Jari Arkko wrote:
>> I'm certainly willing to consider changing the wording to make the
>> status of the other requirements clearer, or even axing the entire
>> appendix. Authors?
>>
>> Jari
>>
>> Dan Romascanu kirjoitti:
>>> Discuss:
>>> The comments below are based partially on OPS-DIR review by Scott Bradner. 
>>>
>>> The inclusion in Appendix of requirements from a work-in-progress document of another SDO seems a bad idea. In IEEE a Draft is the equivalent of an IETF Internet-Draft, and the usage of the term Draft Standard in this document may be mis-leading. I suggest that either the approval of this document is delayed until the IEEE 802.21 specification is approved in the IEEE, or that the appendix makes clear what is the status of the document in the IEEE.
>>>
>>> Comment:
>>> 1. The document does not offer any discussion or guidance of the operational aspects of implementing a mobility services transport. For example many subsections of section 5.2 could raise significant operational concerns but such concerns are not addressed in the draft.
>>>
>>> 2. The document has too many authors (more than the rules permit)
>>>
>>> 3. sec 4.2 - the draft  suggests that a layer 2 protocol could be used as mobility transport for part or all of a path - it seems that adding another L2 protocol to a network could raise a number of serious operational issues - e.g, how to ensure that it is properly filtered to limit the impact of a rogue device
>>>
>>> 4. sec 5.2 - low latency - the draft says: "It is expected that Events and Commands messages arrive at a rate of hundreds of milliseconds in order to capture quick changes in the environment and/ or process handover commands."
>>>
>>> "a rate of hundreds of milliseconds" does not make sense
>>>
>>> 5. both the "Congestion Control" and "Fragmentation and reassembly"
>>> sections do not strongly say that use of an IETF-approved congestion control protocol is required and that fragmentation should not happen - violation of these requirements could cause congestion
>>>
>>> 6. sec 7 - security considerations this section says that the device should not have to identify itself in order to get some types of information - I expect that most network operators would want to insist on knowing what mobile devices are on their network
>>>
>>> 7. section 11.1 - rfc 2119 should not be used in a document of this type and, even if it were, the reference to rfc 2119 is informative not normative
>>>
>>>
>>>
>>>
>>>
>>>   
>>
>>

Subject: Re: DISCUSS and COMMENT: draft-ietf-mipshop-mis-ps
From: Jari Arkko <[email-masked]>
To: Vijay Devarapalli <[email-masked]>
Cc: Yoshihiro Ohba <[email-masked]>, Dan Romascanu <[email-masked]>, [email-masked], [email-masked], [email-masked]
Date: Wed, 19 Dec 2007 19:50:16 +0200

FYI, Dan, I placed this in the tracker as an RFC Editor note.

Jari

Vijay Devarapalli kirjoitti:
> Yoshihiro Ohba wrote:
>   
>> I suggest removing the annex and adding the following sentence in
>> Section 1:
>>
>> "
>> Requirements to support 802.21 by L3 and above transport are described
>> in [1].
>> "
>>     
>
> Agree.
>
> Vijay
>
>   
>> Yoshihiro Ohba
>>
>>
>> On Wed, Dec 19, 2007 at 05:34:56PM +0200, Jari Arkko wrote:
>>     
>>> I'm certainly willing to consider changing the wording to make the
>>> status of the other requirements clearer, or even axing the entire
>>> appendix. Authors?
>>>
>>> Jari
>>>
>>> Dan Romascanu kirjoitti:
>>>       
>>>> Discuss:
>>>> The comments below are based partially on OPS-DIR review by Scott Bradner. 
>>>>
>>>> The inclusion in Appendix of requirements from a work-in-progress document of another SDO seems a bad idea. In IEEE a Draft is the equivalent of an IETF Internet-Draft, and the usage of the term Draft Standard in this document may be mis-leading. I suggest that either the approval of this document is delayed until the IEEE 802.21 specification is approved in the IEEE, or that the appendix makes clear what is the status of the document in the IEEE.
>>>>
>>>> Comment:
>>>> 1. The document does not offer any discussion or guidance of the operational aspects of implementing a mobility services transport. For example many subsections of section 5.2 could raise significant operational concerns but such concerns are not addressed in the draft.
>>>>
>>>> 2. The document has too many authors (more than the rules permit)
>>>>
>>>> 3. sec 4.2 - the draft  suggests that a layer 2 protocol could be used as mobility transport for part or all of a path - it seems that adding another L2 protocol to a network could raise a number of serious operational issues - e.g, how to ensure that it is properly filtered to limit the impact of a rogue device
>>>>
>>>> 4. sec 5.2 - low latency - the draft says: "It is expected that Events and Commands messages arrive at a rate of hundreds of milliseconds in order to capture quick changes in the environment and/ or process handover commands."
>>>>
>>>> "a rate of hundreds of milliseconds" does not make sense
>>>>
>>>> 5. both the "Congestion Control" and "Fragmentation and reassembly"
>>>> sections do not strongly say that use of an IETF-approved congestion control protocol is required and that fragmentation should not happen - violation of these requirements could cause congestion
>>>>
>>>> 6. sec 7 - security considerations this section says that the device should not have to identify itself in order to get some types of information - I expect that most network operators would want to insist on knowing what mobile devices are on their network
>>>>
>>>> 7. section 11.1 - rfc 2119 should not be used in a document of this type and, even if it were, the reference to rfc 2119 is informative not normative
>>>>
>>>>
>>>>
>>>>
>>>>
>>>>   
>>>>         
>>>       
>
>
>
>   

Subject: RE: DISCUSS and COMMENT: draft-ietf-mipshop-mis-ps
From: "Romascanu, Dan (Dan)" <[email-masked]>
To: "Jari Arkko" <[email-masked]>, "Vijay Devarapalli" <[email-masked]>
Cc: "Yoshihiro Ohba" <[email-masked]>, <[email-masked]>, <[email-masked]>, <[email-masked]>
Date: Wed, 19 Dec 2007 18:58:47 +0100

It would be good is reference [1] would also be marked as
'work-in-progress'. Of course, if by the time of the publication of the
RFC the IEEE 802.21 has already approved the standard, this can be
dropped. 

Dan

> -----Original Message-----
> From: Jari Arkko [mailto:[email-masked]] 
> Sent: Wednesday, December 19, 2007 7:50 PM
> To: Vijay Devarapalli
> Cc: Romascanu, Dan (Dan); Yoshihiro Ohba; 
> [email-masked]; [email-masked]; 
> [email-masked]
> Subject: Re: DISCUSS and COMMENT: draft-ietf-mipshop-mis-ps
> 
> FYI, Dan, I placed this in the tracker as an RFC Editor note.
> 
> Jari
> 
> Vijay Devarapalli kirjoitti:
> > Yoshihiro Ohba wrote:
> >   
> >> I suggest removing the annex and adding the following sentence in 
> >> Section 1:
> >>
> >> "
> >> Requirements to support 802.21 by L3 and above transport are 
> >> described in [1].
> >> "
> >>     
> >
> > Agree.
> >
> > Vijay
> >
> >   
> >> Yoshihiro Ohba
> >>
> >>
> >> On Wed, Dec 19, 2007 at 05:34:56PM +0200, Jari Arkko wrote:
> >>     
> >>> I'm certainly willing to consider changing the wording to 
> make the 
> >>> status of the other requirements clearer, or even axing 
> the entire 
> >>> appendix. Authors?
> >>>
> >>> Jari
> >>>
> >>> Dan Romascanu kirjoitti:
> >>>       
> >>>> Discuss:
> >>>> The comments below are based partially on OPS-DIR review 
> by Scott Bradner. 
> >>>>
> >>>> The inclusion in Appendix of requirements from a 
> work-in-progress document of another SDO seems a bad idea. In 
> IEEE a Draft is the equivalent of an IETF Internet-Draft, and 
> the usage of the term Draft Standard in this document may be 
> mis-leading. I suggest that either the approval of this 
> document is delayed until the IEEE 802.21 specification is 
> approved in the IEEE, or that the appendix makes clear what 
> is the status of the document in the IEEE.
> >>>>
> >>>> Comment:
> >>>> 1. The document does not offer any discussion or 
> guidance of the operational aspects of implementing a 
> mobility services transport. For example many subsections of 
> section 5.2 could raise significant operational concerns but 
> such concerns are not addressed in the draft.
> >>>>
> >>>> 2. The document has too many authors (more than the rules permit)
> >>>>
> >>>> 3. sec 4.2 - the draft  suggests that a layer 2 protocol 
> could be 
> >>>> used as mobility transport for part or all of a path - it seems 
> >>>> that adding another L2 protocol to a network could raise 
> a number 
> >>>> of serious operational issues - e.g, how to ensure that it is 
> >>>> properly filtered to limit the impact of a rogue device
> >>>>
> >>>> 4. sec 5.2 - low latency - the draft says: "It is 
> expected that Events and Commands messages arrive at a rate 
> of hundreds of milliseconds in order to capture quick changes 
> in the environment and/ or process handover commands."
> >>>>
> >>>> "a rate of hundreds of milliseconds" does not make sense
> >>>>
> >>>> 5. both the "Congestion Control" and "Fragmentation and 
> reassembly"
> >>>> sections do not strongly say that use of an IETF-approved 
> >>>> congestion control protocol is required and that fragmentation 
> >>>> should not happen - violation of these requirements could cause 
> >>>> congestion
> >>>>
> >>>> 6. sec 7 - security considerations this section says that the 
> >>>> device should not have to identify itself in order to get some 
> >>>> types of information - I expect that most network 
> operators would 
> >>>> want to insist on knowing what mobile devices are on 
> their network
> >>>>
> >>>> 7. section 11.1 - rfc 2119 should not be used in a 
> document of this 
> >>>> type and, even if it were, the reference to rfc 2119 is 
> informative 
> >>>> not normative
> >>>>
> >>>>
> >>>>
> >>>>
> >>>>
> >>>>   
> >>>>         
> >>>       
> >
> >
> >
> >   
> 
> 
_______________________________________________
MIPSHOP-MIH-DT mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/mipshop-mih-dt